export declare const RETURN_HREF_QUERY_PARAM = "_UCR_return_href";
/**
 * During contextual routing browser URL will be controlled by Next Router's "as" prop
 * while the page actually rendered is defined by Next Router's "href" prop.
 *
 * During contextual navigation Next Router's behaves as follows:
 * router.asPath:   /item/3               reflects current URL and updates at each page change
 * router.pathname: /search/[terms]       stay the same as long as initial page doesn't change
 * router.query:    {"terms": "foo-bar"}  same as above
 */
export declare function useContextualRouting(): {
    returnHref: string;
    makeContextualHref: (extraParams?: Record<string, string | number>) => string;
};
